from flask_shop.user import user,user_api
from flask_shop import models,db
from flask import request
from flask_restful import Resource
import re
@user.route('/')
def index():
    return 'User Hello!!'

class User(Resource):
    def get(self):
        pass
    def post(self):
        name = request.form.get('name')
        pwd = request.form.get('pwd')
        real_pwd = request.form.get('real_pwd ')
        nick_name = request.form.get('nick_name')
        phone = request.form.get('phone')
        email = request.form.get('email')
        #验证数据
        if not all([name,pwd,real_pwd]):    #本来是 if not all([name,pwd,real_pwd]):       
            return {'status':10000,'msg':'数据不完整'}
        if len(name) < 2:
            return {'status':10011,'msg':'用户名不完整'}
        if len(pwd) < 2:
            return {'status':10012,'msg':'密码不合法'}
        if pwd != real_pwd:  #本来是 !=
            return {'status':10013,'msg':'两次密码不一致'}
        if not re.match(r'1[345678]\d{9}',phone):  
            return {'status':10014,'msg':'手机号码不合法'}
        if not re.match(r'^[a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$',email):
            return {'status':10015,'msg':'邮箱不合法'}
        try:
            user = models.User(name = name,pwd = pwd ,nick_name = nick_name,phone = phone, email = email)   
            db.session.add(user)
            db.session.commit()
        except Exception:
            return {'status':2000,'msg':'异常错误'}


        # return {'status':200,'msg':'成功'}

user_api.add_resource(User,'/user')



@user.route('/login',methods=['POST'])
def login():
    name = request.form.get('name')
    pwd = request.form.get('pwd')

    if not all([name,pwd]):
        return {'status':10000,'msg':'数据不完整'}
    if len(name)>1:
        usr= models.User.query.filter_by (name = name).first()
        if usr:
            if usr.check_password(pwd):
                return {'status':200,'msg':'登陆成功'}
    return {'status':10001,'msg':'用户名或者密码错误'}